Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IReprocessInfo Class Reference
CameraDevice

Interface used to access reprocess information. More...

`#include <ReprocessInfo.h>`

Inheritance diagram for Argus::IReprocessInfo:

List of all members.

## Public Member Functions
virtual Status | setReprocessingEnable (const bool enable)=0
| Enable the libargus to run in resprocessing mode.
virtual bool | getReprocessingEnable () const =0
virtual Status | setReprocessingModeResolution (const Size2D< uint32_t > &resolution)=0
| Sets the resolution of reprocessing sensor mode.
virtual Size2D< uint32_t > | getReprocessingModeResolution () const =0
virtual Status | setReprocessingModeScaling (const Point2D< float > &scaling)=0
| Sets the scaling for reprocessing sensor mode.
virtual Point2D< float > | getReprocessingModeScaling () const =0
virtual Status | setReprocessingModeCrop (const Rectangle< float > &crop)=0
| Sets the crop rectange for the reprocessing sensor mode.
virtual Rectangle< float > | getReprocessingModeCrop () const =0
virtual Status | setReprocessingModeFrameRate (const float framerate)=0
| Sets the frame rate for the reprocessing sensor mode.
virtual float | getReprocessingModeFrameRate () const =0
virtual Status | setReprocessingModeColorFormat (const BayerPhase &phase)=0
| Sets the bayer phase for the reprocessing sensor mode.
virtual BayerPhase | getReprocessingModeColorFormat () const =0
virtual Status | setReprocessingModePixelBitDepth (const uint32_t pixelBitDepth)=0
| Sets the pixel bit depth for the reprocessing sensor mode.
virtual uint32_t | getReprocessingModePixelBitDepth () const =0
virtual Status | setReprocessingModeDynamicPixelBitDepth (const uint32_t dynamicPixelBitDepth)=0
| Sets the total pixel total bit depth for the reprocessing sensor mode after decompanding or merging of individual exposure planes incase of PWL HDR or DOL HDR raw data respectively.
virtual uint32_t | getReprocessingModeDynamicPixelBitDepth () const =0

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IReprocessInfo ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to access reprocess information.

ReprocessInfo are used to set and access the reprocessing information to run camera using a user provided raw buffer instead of physical camera sensor.

Definition at line 52 of file ReprocessInfo.h.

## Constructor & Destructor Documentation

Argus::IReprocessInfo::~IReprocessInfo | ( |  | ) |
| inline protected

Definition at line 137 of file ReprocessInfo.h.

## Member Function Documentation

virtual bool Argus::IReprocessInfo::getReprocessingEnable | ( |  | ) | const
| pure virtual

virtual BayerPhase Argus::IReprocessInfo::getReprocessingModeColorFormat | ( |  | ) | const
| pure virtual

virtual Rectangle<float> Argus::IReprocessInfo::getReprocessingModeCrop | ( |  | ) | const
| pure virtual

virtual uint32_t Argus::IReprocessInfo::getReprocessingModeDynamicPixelBitDepth | ( |  | ) | const
| pure virtual

virtual float Argus::IReprocessInfo::getReprocessingModeFrameRate | ( |  | ) | const
| pure virtual

virtual uint32_t Argus::IReprocessInfo::getReprocessingModePixelBitDepth | ( |  | ) | const
| pure virtual

virtual Size2D<uint32_t> Argus::IReprocessInfo::getReprocessingModeResolution | ( |  | ) | const
| pure virtual

virtual Point2D<float> Argus::IReprocessInfo::getReprocessingModeScaling | ( |  | ) | const
| pure virtual

static const InterfaceID& Argus::IReprocessInfo::id | ( |  | ) |
| inline static

Definition at line 55 of file ReprocessInfo.h.

virtual Status Argus::IReprocessInfo::setReprocessingEnable | ( | const bool | enable | ) |
| pure virtual

Enable the libargus to run in resprocessing mode.

Parameters:

  [in] | enable | The enable flag to set the reprocesisng mode.

Returns:
  success/status of the call.

virtual Status Argus::IReprocessInfo::setReprocessingModeColorFormat | ( | const BayerPhase & | phase | ) |
| pure virtual

Sets the bayer phase for the reprocessing sensor mode.

Parameters:

  [in] | phase | The phase of the raw input data (see Argus::BayerPhase).

Returns:
  success/status of the call.

virtual Status Argus::IReprocessInfo::setReprocessingModeCrop | ( | const Rectangle< float > & | crop | ) |
| pure virtual

Sets the crop rectange for the reprocessing sensor mode.

Parameters:

  [in] | crop | The crop rectange for the sensor mode, describing top, left, bottom, down coordinates, origin is top left corner of the image.

Returns:
  success/status of the call.

virtual Status Argus::IReprocessInfo::setReprocessingModeDynamicPixelBitDepth | ( | const uint32_t | dynamicPixelBitDepth | ) |
| pure virtual

Sets the total pixel total bit depth for the reprocessing sensor mode after decompanding or merging of individual exposure planes incase of PWL HDR or DOL HDR raw data respectively.

In case of standard dynamic range raw data it will be equal to pixelBitDepth.

Parameters:

  [in] | dynamicPixelBitDepth | The dynamicPixelBitDepth of raw sensor data.

Returns:
  success/status of the call.

virtual Status Argus::IReprocessInfo::setReprocessingModeFrameRate | ( | const float | framerate | ) |
| pure virtual

Sets the frame rate for the reprocessing sensor mode.

Parameters:

  [in] | framerate | The framerate value that will be utilized to decide the output stream framerate.

Returns:
  success/status of the call.

virtual Status Argus::IReprocessInfo::setReprocessingModePixelBitDepth | ( | const uint32_t | pixelBitDepth | ) |
| pure virtual

Sets the pixel bit depth for the reprocessing sensor mode.

This is the bit depth of raw byaer data. For PWL HDR raw data it is the pixel bit depth of PWL companded raw data. For DOL raw data, it the pixel bit depth of individual exposure plane.

Parameters:

  [in] | pixelBitDepth | The pixelBitDepth is the number of bits used to represent a pixel.

Returns:
  success/status of the call.

virtual Status Argus::IReprocessInfo::setReprocessingModeResolution | ( | const Size2D< uint32_t > & | resolution | ) |
| pure virtual

Sets the resolution of reprocessing sensor mode.

Parameters:

  [in] | resolution | The resolution of reprocessing sensor mode.

Returns:
  success/status of the call.

virtual Status Argus::IReprocessInfo::setReprocessingModeScaling | ( | const Point2D< float > & | scaling | ) |
| pure virtual

Sets the scaling for reprocessing sensor mode.

Parameters:

  [in] | scaling | The scaling in x and y direction.

Returns:
  success/status of the call.

The documentation for this class was generated from the following file:

- include/Argus/ReprocessInfo.h